Last Comment Bug 384011 - when autocomplete window pops up, should fire events for 'tree table' but not for 'window'
: when autocomplete window pops up, should fire events for 'tree table' but not...
Status: VERIFIED FIXED
: access
Product: Core
Classification: Components
Component: Disability Access APIs (show other bugs)
: Trunk
: x86 Linux
: -- normal (vote)
: mozilla10
Assigned To: alexander :surkov
:
Mentors:
Depends on: 673958
Blocks: focuseventa11y a11ynext
  Show dependency treegraph
 
Reported: 2007-06-11 05:20 PDT by Evan Yan
Modified: 2011-09-29 08:13 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Evan Yan 2007-06-11 05:20:28 PDT
Copied from bug 381433 comment #17:

I still do not see the state-change:visible for the 'tree table' on the search
box when the window pops up to display autocomplete items.  I receive the
following state-change events:

object:state-changed:showing(0, 0, None)
        source: [window | ]
        application: [application | Minefield]
object:state-changed:visible(0, 0, None)
        source: [window | ]
        application: [application | Minefield]
object:state-changed:iconified(0, 0, None)
        source: [window | ]
        application: [application | Minefield]
Comment 1 Ginn Chen 2007-06-11 20:45:53 PDT
these events are emitted by libgail.so
I think focus event is more important than state-changed.
Comment 2 Evan Yan 2007-06-11 20:57:47 PDT
We don't fire focus for autocomplete. So we need another state-changed:visible/showing for autocomplete, right?
Comment 3 Aaron Leventhal 2008-01-17 20:39:02 PST
I don't know if this is still important or not.

Note that we are changing a bit about the autocomplete hierarchy in bug 407359.
Comment 4 alexander :surkov 2011-02-17 04:28:30 PST
We have bugs stuffs with focus:
1) when popup appears no focus (perhaps that'ok)
2) down arrow makes first item focused (that's ok)
3) up arrow makes first item unfocused but no focus event

for awesomebar popup sometimes I don't get focus event when first item is selected, let's figure it out in fx5.
Comment 5 alexander :surkov 2011-09-09 11:55:00 PDT
comment #4 should be addressed by 673958, it doesn't look like we need to fix anything else
Comment 6 alexander :surkov 2011-09-28 02:20:13 PDT
fixed by bug 673958
Comment 7 Marco Zehe (:MarcoZ) 2011-09-29 08:13:26 PDT
Verified fixed in Mozilla/5.0 (Windows NT 6.1; WOW64; rv:10.0a1) Gecko/20110929 Firefox/10.0a1. I always get focus events now on the awesomebar autocomplete, for example.

Note You need to log in before you can comment on or make changes to this bug.